# Package org.eclipse.cdt.core.dom

Interface Summary
IASTServiceProvider: Deprecated Use methods provided by `ITranslationUnit` or `ILanguage`.
ICodeReaderFactory: Deprecated replaced by `IncludeFileContentProvider`
ILinkage: Represents a linkage under which bindings are stored in the index.
IName: Common interface for names in the index and the AST.
IParserConfiguration: Deprecated Used only by other deprecated interfaces
IPDOMIndexer
IPDOMIndexerTask
IPDOMManager
IPDOMNode: Interface for all nodes that can be visited by a `IPDOMVisitor`.
IPDOMVisitor

Class Summary
CDOM: Deprecated This class does not take into account language mappings.

Exception Summary
IASTServiceProvider.UnsupportedDialectException: This exception is thrown when there is not a service provider that can handle the request due to dialect mis-match.